package com.muyu.data.source.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 数据库表对象 DatabaseTable
 *
 * @author DeKangLiu
 * on 2024/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DatabaseTableModel {
    /**数据库表id*/
    private Long id;

    /**数据库表名*/
    private String tableName;

    /**字段名*/
    private String name;

    /**字段注释*/
    private String comment;

    /**是否核心*/
    private String isPrimaryKey;

    /**Java类型*/
    private String type;

    /**字段类型*/
    private String detailName;

    /**长度*/
    private Integer length;

    /**小数点*/
    private Integer decimalPlaces;

    /**是否为空*/
    private String isNull;

    /**默认值*/
    private String defaultValue;

}
