package com.muyu.data.source.mapper;

import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.data.source.domain.AccessType;
import com.muyu.data.source.domain.AssetStructure;
import com.muyu.data.source.domain.DataSource;
import com.muyu.data.source.domain.DatabaseTableInformation;
import com.muyu.data.source.domain.model.DatabaseTableModel;
import org.apache.ibatis.annotations.Param;

/**
 * 数据源Mapper接口
 *
 * @author muyu
 * @date 2024-04-21
 */
public interface DataSourceMapper extends BaseMapper<DataSource> {

    List<AccessType> findAccessType();

    void addAssets(@Param("assetStructure") List<AssetStructure> assetStructure);

    void addAssets1(AssetStructure assetStructure);

    List<AssetStructure> assetStructureList();

    DatabaseTableModel findByName(@Param("databaseName") String databaseName, @Param("databaseTableName") String databaseTableName);

    List<DatabaseTableInformation> findByBaseName(@Param("databaseName") String databaseName);

    void addDatabaseTableInformation(@Param("databaseTableInformationList") List<DatabaseTableInformation> databaseTableInformationList);

    void addDatabaseTableInfo(@Param("databaseTableInformations") ArrayList<DatabaseTableInformation> databaseTableInformations);

    List<AssetStructure> findAssetStructure();

    List<DatabaseTableInformation> findInformation();
}
